/*
 * $Id: mxf.h,v 1.1 2006/09/06 16:04:01 philipn Exp $
 *
 * libMXF header files
 *
 * Copyright (C) 2006  Philip de Nier <philipn@users.sourceforge.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
#ifndef __MXF_MXF_H__
#define __MXF_MXF_H__

#ifdef __cplusplus
extern "C" 
{
#endif


#include <mxf/mxf_macros.h>
#include <mxf/mxf_types.h>
#include <mxf/mxf_version.h>
#include <mxf/mxf_labels_and_keys.h>
#include <mxf/mxf_list.h>
#include <mxf/mxf_logging.h>
#include <mxf/mxf_file.h>
#include <mxf/mxf_utils.h>
#include <mxf/mxf_partition.h>
#include <mxf/mxf_primer.h>
#include <mxf/mxf_index_table.h>
#include <mxf/mxf_essence_container.h>
#include <mxf/mxf_data_model.h>
#include <mxf/mxf_header_metadata.h>


#ifdef __cplusplus
}
#endif


#endif

